package com.xxfc.platform.activity.entity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "integral_user_total")
@Data
public class IntegralUserTotal {
    /**
     * 主键id
     */
    @Id
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "user_id")
    private Integer userId;

    /**
     * 总收益积分
     */
    @Column(name = "total_point")
    private Integer totalPoint;

    /**
     * 剩余收益积分
     */
    @Column(name = "rest_point")
    private Integer restPoint;

    @Column(name = "crt_time")
    private Long crtTime;

    @Column(name = "upd_time")
    private Long updTime;

    /**
     * 是否删除:0-正常；1-删除
     */
    private Boolean isdel;

    public static IntegralUserTotal initIntegralUserTotal() {
        IntegralUserTotal integralUserTotal = new IntegralUserTotal();
        integralUserTotal.setIsdel(false);
        integralUserTotal.setTotalPoint(0);
        integralUserTotal.setRestPoint(0);
        return integralUserTotal;
    }

}